=== debian/changelog ===
golang-github-rabbitmq-amqp091-go (1.5.0-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 03 Dec 2022 14:05:32 +0000

golang-github-rabbitmq-amqp091-go (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #1024728)

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 24 Nov 2022 00:27:19 +0000
