=== debian/control ===
Source: golang-github-rabbitmq-amqp091-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-uber-goleak-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go.git
Homepage: https://github.com/rabbitmq/amqp091-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/rabbitmq/amqp091-go

Package: golang-github-rabbitmq-amqp091-go-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         golang-uber-goleak-dev
Description: Go client for AMQP 0.9.1 (library)
 This is a Go AMQP 0.9.1 client maintained by the RabbitMQ core team.
 It was originally developed by Sean Treadway.
 .
 The library provides a functional interface that closely represents
 the AMQP 0.9.1 model targeted to RabbitMQ as a server. This includes
 the minimum necessary to interact the semantics of the protocol.
