=== debian/changelog ===
golang-github-rabbitmq-amqp091-go (1.8.1-2) unstable; urgency=medium

  * Fix test failure on 32bit architectures

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 16 Jun 2023 23:46:23 +0000

golang-github-rabbitmq-amqp091-go (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version in d/control (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 11 Jun 2023 23:34:25 +0000
