## golang-github-rabbitmq-amqp091-go 1.9.0

=== debian/changelog ===
golang-github-rabbitmq-amqp091-go (1.9.0-1) unstable; urgency=medium

  * New upstream release
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 07 Oct 2023 15:42:37 +0000
