=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-uber-goleak-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-rabbitmq-amqp091-go.git
 Homepage: https://github.com/rabbitmq/amqp091-go
