=== debian/changelog ===
golang-github-rabbitmq-amqp091-go (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 25 May 2024 20:21:13 +0000
